%include common-macros.specinclude

Summary: xscreensaver is a collection of free screensavers
Name: lsb-xscreensaver
Version: 5.14
Release: 4.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/desktop
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc

Source0: http://www.jwz.org/xscreensaver/xscreensaver-%{version}.tar.gz
Patch0: xscreensaver-%{version}.patch
Patch1: xscreensaver-%{version}.lsb5.patch

%description
LSB conforming version of xscreensaver. Added to the LSB application battery
to test libgdk_pixbuf_xlib interfaces, as well as OpenGL.

%prep
%setup -q -n xscreensaver-%{version}
%patch0 -p1 -b .lsbcc
%patch1 -p0 -b .lsb5

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# (sb) added --without-gtk when moving to spec based build, was falling down on glade stuff
# also added --with-gl
./configure \
    --prefix=%{app_prefix} \
    --with-x-app-defaults=%{app_prefix}/etc/X11/app-defaults \
    --without-shadow \
    --without-gtk \
    --with-gl \
    --with-pixbuf

make

%install
rm -rf %{buildroot}

make install_prefix=%{buildroot} install

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.xscreensaver.build.patches 
fi

# some files get installed that we don't want
rm -fr %{buildroot}/usr

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Thu Jun 16 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 5.14, rediff P0, define app-defaults directory

* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Fri Apr 04 2008 Stew Benedict <stewb@linux-foundation.org>
- initial addition to appbat
